/**
 ******************************************************************************
 * @file    Version.h
 * @author  _KEMET Ltd.
 * @brief   Product and component names and versions.
 *
 ******************************************************************************
 */

#ifndef _Version_H
#define _Version_H

#ifdef __cplusplus
extern "C"
{
#endif



#define COMPANY "_KEMET Ltd."
#define PRODUCT "sKEMLIB1"
#define FIRMWARE_PART_NUMBER "2018"

/// @note Version number values here are placeholders.  These should be
///       replaced (ideally by the build system) in official builds for
///       release.  Values of "0" identify informal product builds done
///       by developers.

// Increment when new features are added.
#define VERSION_MAJOR  "1"

// Increment when minor changes are made.
#define VERSION_MINOR  "6"

// Version of SVN commit
#define VERSION_SVN_COMMIT "1463"

// Date of latest commit
#define DATE_OF_LATEST "2018/03/27 11:11:09"

// repository URL of the working copy path
#define REPO_URL "https://server:8443/svn/Firmware/projects/P017_IRPyro_libs/trunk"

// Product components.
#define COMPONENT "IRPyro API"

#define VERSION_STRING "v" VERSION_MAJOR "."VERSION_MINOR "."VERSION_SVN_COMMIT

#define ABOUT COMPANY " " PRODUCT " "COMPONENT " "VERSION_STRING


#ifdef __cplusplus
}
#endif

#endif

