/**
******************************************************************************
* @file    message_interpreter.h
* @author  _KEMET, Ltd
* @date    March 2018
* @version Release 1.0.6
* @copyright (c) 2018 _KEMET, Ltd
* @brief GUI flag and data structure directed to the sensor
* @verbatim
 ===============================================================================
                      ##### Description #####
 ===============================================================================
  [..]
  Prototypes of the message interface functions
  [..]
 @endverbatim
  ******************************************************************************
   @attention <h2><center>&copy; COPYRIGHT 2018 _KEMET, Ltd</center></h2>
   @verbatim
    Copyright (c) 2018, _KEMET, Ltd
    All rights reserved.

    THIS SOFTWARE IS PROVIDED BY _KEMET, Ltd ''AS IS'' AND ANY
    EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    DISCLAIMED. IN NO EVENT SHALL _KEMET, Ltd BE LIABLE FOR ANY
    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
    (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
    ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
   @endverbatim

  ******************************************************************************
  */
/* Includes ------------------------------------------------------------------*/
#ifndef MESSAGE_INTERFACE_COMMON
#define MESSAGE_INTERFACE_COMMON
#include <stdint.h>
#include <string.h>
#endif

#ifndef IRPyro_API_multi_device_layer
#include "IRPyro_API_multi_device_layer.h"
#endif

#include "externals.h"

uint8_t channel_processing(uint8_t *channel_count);
uint8_t channel_id_to_sensor(void);
uint8_t channel_id_to_channel(void);
void channel_id_next(void);
void process_parms_load(uint8_t *idx, uint8_t *num_sensors_to_process);

/* ********** Copyright (c) 2018 _KEMET, Ltd. **********END OF FILE************/
